--[[
Name: LibBabble-FishingNodes-1.0
Revision: $Rev: 1 $
Maintainers: tritium <tritium@noisywires.net>
Website: 
Dependencies: LibStub, LibBabble-3.0
License: This work is dedicated to the public domain.
Description: LibBabble library for translations of fishing node names.
Credits: thanks to gathermate2 translators
]]

local MAJOR_VERSION = "LibBabble-FishingNodes-1.0"
local MINOR_VERSION = 1

if not LibStub then error(MAJOR_VERSION .. " requires LibStub.") end
local lib = LibStub("LibBabble-3.0"):New(MAJOR_VERSION, MINOR_VERSION)
if not lib then return end

local GAME_LOCALE = GetLocale()

lib:SetBaseTranslations {
	["Abyssal Gulper School"] = "Abyssal Gulper School",
	["Albino Cavefish School"] = "Albino Cavefish School",
	["Blackbelly Mudfish School"] = "Blackbelly Mudfish School",
	["Blackwater Whiptail School"] = "Blackwater Whiptail School",
	["Blind Lake Sturgeon School"] = "Blind Lake Sturgeon School",
	["Bloodsail Wreckage"] = "Bloodsail Wreckage",
	["Bluefish School"] = "Bluefish School",
	["Borean Man O' War School"] = "Borean Man O' War School",
	["Brackish Mixed School"] = "Brackish Mixed School",
	["Brew Frenzied Emperor Salmon"] = "Brew Frenzied Emperor Salmon",
	["Crowded Redbelly Mandarin"] = "Crowded Redbelly Mandarin",
	["Deep Sea Monsterbelly School"] = "Deep Sea Monsterbelly School",
	["Deepsea Sagefish School"] = "Deepsea Sagefish School",
	["Dragonfin Angelfish School"] = "Dragonfin Angelfish School",
	["Emperor Salmon School"] = "Emperor Salmon School",
	["Fangtooth Herring School"] = "Fangtooth Herring School",
	["Fat Sleeper School"] = "Fat Sleeper School",
	["Fathom Eel Swarm"] = "Fathom Eel Swarm",
	["Felmouth Frenzy School"] = "Felmouth Frenzy School",
	["Fire Ammonite School"] = "Fire Ammonite School",
	["Firefin Snapper School"] = "Firefin Snapper School",
	["Floating Debris"] = "Floating Debris",
	["Floating Wreckage"] = "Floating Wreckage",
	["Giant Mantis Shrimp Swarm"] = "Giant Mantis Shrimp Swarm",
	["Glacial Salmon School"] = "Glacial Salmon School",
	["Glassfin Minnow School"] = "Glassfin Minnow School",
	["Glimmering Jewel Danio Pool"] = "Glimmering Jewel Danio Pool",
	["Glowing Jade Lungfish"] = "Glowing Jade Lungfish",
	["Greater Sagefish School"] = "Greater Sagefish School",
	["Highland Guppy School"] = "Highland Guppy School",
	["Highland Mixed School"] = "Highland Mixed School",
	["Imperial Manta Ray School"] = "Imperial Manta Ray School",
	["Jade Lungfish School"] = "Jade Lungfish School",
	["Jawless Skulker School"] = "Jawless Skulker School",
	["Jewel Danio School"] = "Jewel Danio School",
	["Krasarang Paddlefish School"] = "Krasarang Paddlefish School",
	["Lagoon Pool"] = "Lagoon Pool",
	["Large Pool of Brew Frenzied Emperor Salmon"] = "Large Pool of Brew Frenzied Emperor Salmon",
	["Large Pool of Crowded Redbelly Mandarin"] = "Large Pool of Crowded Redbelly Mandarin",
	["Large Pool of Glimmering Jewel Danio"] = "Large Pool of Glimmering Jewel Danio",
	["Large Pool of Glowing Jade Lungfish"] = "Large Pool of Glowing Jade Lungfish",
	["Large Pool of Sha-Touched Spinefish"] = "Large Pool of Sha-Touched Spinefish",
	["Large Pool of Tiger Gourami Slush"] = "Large Pool of Tiger Gourami Slush",
	["Large Swarm of Migrated Reef Octopus"] = "Large Swarm of Migrated Reef Octopus",
	["Large Swarm of Panicked Paddlefish"] = "Large Swarm of Panicked Paddlefish",
	["Large Tangled Mantis Shrimp Cluster"] = "Large Tangled Mantis Shrimp Cluster",
	["Mixed Ocean School"] = "Mixed Ocean School",
	["Moonglow Cuttlefish School"] = "Moonglow Cuttlefish School",
	["Mountain Trout School"] = "Mountain Trout School",
	["Mudfish School"] = "Mudfish School",
	["Musselback Sculpin School"] = "Musselback Sculpin School",
	["Nettlefish School"] = "Nettlefish School",
	["Oily Abyssal Gulper School"] = "Oily Abyssal Gulper School",
	["Oily Blackmouth School"] = "Oily Blackmouth School",
	["Oily Sea Scorpion School"] = "Oily Sea Scorpion School",
	["Pool of Fire"] = "Pool of Fire",
	["Pure Water"] = "Pure Water",
	["Redbelly Mandarin School"] = "Redbelly Mandarin School",
	["Reef Octopus Swarm"] = "Reef Octopus Swarm",
	["Sagefish School"] = "Sagefish School",
	["Savage Piranha Pool"] = "Savage Piranha Pool",
	["School of Darter"] = "School of Darter",
	["School of Deviate Fish"] = "School of Deviate Fish",
	["Schooner Wreckage"] = "Schooner Wreckage",
	["Sha-Touched Spinefish"] = "Sha-Touched Spinefish",
	["Sea Scorpion School"] = "Sea Scorpion School",
	["Shipwreck Debris"] = "Shipwreck Debris",
	["Sparkling Pool"] = "Sparkling Pool",
	["Spinefish School"] = "Spinefish School",
	["Sporefish School"] = "Sporefish School",
	["Steam Pump Flotsam"] = "Steam Pump Flotsam",
	["Stonescale Eel Swarm"] = "Stonescale Eel Swarm",
	["Strange Pool"] = "Strange Pool",
	["Swarm of Panicked Paddlefish"] = "Swarm of Panicked Paddlefish",
	["Tangled Mantis Shrimp Cluster"] = "Tangled Mantis Shrimp Cluster",
	["Tiger Gourami School"] = "Tiger Gourami School",
	["Tiger Gourami Slush"] = "Tiger Gourami Slush",
	["Waterlogged Wreckage"] = "Waterlogged Wreckage",
}

if GAME_LOCALE == "enUS" then
	lib:SetCurrentTranslations(true)
elseif GAME_LOCALE == "deDE" then
	lib:SetCurrentTranslations {
		["Abyssal Gulper School"] = "Ein Schwarm Tiefseeschluckaale",
		["Albino Cavefish School"] = "Ein Schwarm Albinohöhlenfische",
		["Blackbelly Mudfish School"] = "Ein Schwarm Schwarzbauchmatschflosser",
		["Blackwater Whiptail School"] = "Ein Schwarm Schwarzwasserpeitschflossen",
		["Blind Lake Sturgeon School"] = "Ein Schwarm blinder Seestöre",
		["Bloodsail Wreckage"] = "Blutsegelwrackteile",
		["Bluefish School"] = "Blauflossenschwarm",
		["Borean Man O' War School"] = "Ein Schwarm boreanischer Galeeren",
		["Brackish Mixed School"] = "Brackwasserschwarm",
		["Deep Sea Monsterbelly School"] = "Ein Schwarm Tiefseemonsterbäuche",
		["Deepsea Sagefish School"] = "Ein Schwarm Tiefseeweisenfische",
		["Dragonfin Angelfish School"] = "Engelsdrachenfischschwarm",
		["Emperor Salmon School"] = "Ein Schwarm Kaiserlachse",
		["Fangtooth Herring School"] = "Ein Schwarm Fangzahnheringe",
		["Fat Sleeper School"] = "Ein Schwarm dicker Schläfer",
		["Fathom Eel Swarm"] = "Klafteraalschwarm",
		-- ["Felmouth Frenzy School"] = ???,
		["Fire Ammonite School"] = "Ein Schwarm Feuerammoniten",
		["Firefin Snapper School"] = "Feuerflossenschnapperschwarm",
		["Floating Debris"] = "Schwimmende Trümmer",
		["Floating Wreckage"] = "Treibende Wrackteile",
		["Giant Mantis Shrimp Swarm"] = "Ein Schwarm riesiger Mantisgarnelen",
		["Glacial Salmon School"] = "Ein Schwarm Winterlachse",
		["Glassfin Minnow School"] = "Ein Schwarm Glasflossenelritzen",
		["Greater Sagefish School"] = "Großer Schwarm Weisenfische",
		["Highland Guppy School"] = "Ein Schwarm Hochlandguppys",
		["Highland Mixed School"] = "Mischschwarm des Hochlands",
		["Imperial Manta Ray School"] = "Ein Schwarm imperialer Mantarochen",
		["Jade Lungfish School"] = "Ein Schwarm Jadelungenfische",
		["Jawless Skulker School"] = "Ein Schwarm kieferloser Schleicher",
		["Jewel Danio School"] = "Ein Schwarm Juwelendanios",
		["Krasarang Paddlefish School"] = "Ein Schwarm Krasaranglöffelstöre",
		["Lagoon Pool"] = "Lagunenteich",
		["Moonglow Cuttlefish School"] = "Ein Schwarm Mondlichtsepia",
		["Mountain Trout School"] = "Ein Schwarm Bergforellen",
		["Mudfish School"] = "Matschflosserschwarm",
		["Musselback Sculpin School"] = "Muschelrückengropperschwarm",
		["Nettlefish School"] = "Ein Schwarm Nesselfische",
		["Oily Abyssal Gulper School"] = "Ein Schwarm ölige Tiefseeschluckaale",
		["Oily Blackmouth School"] = "Schwarm öliger Schwarzmaulfische",
		["Oily Sea Scorpion School"] = "Ein Schwarm ölige Seeskorpione",
		["Pool of Fire"] = "Feuerteich",
		["Pure Water"] = "Reines Wasser",
		["Redbelly Mandarin School"] = "Ein Schwarm Rotbauchmandarine",
		["Reef Octopus Swarm"] = "Ein Schwarm Riffkraken",
		["Sagefish School"] = "Weisenfischschwarm",
		["Savage Piranha Pool"] = "Ein Schwarm Mordlustiger Piranha",
		["School of Darter"] = "Stachelflosserschwarm",
		["School of Deviate Fish"] = "Deviatfischschwarm",
		["Schooner Wreckage"] = "Schiffswrackteile",
		["Sea Scorpion School"] = "Ein Schwarm Seeskorpione",
		["Shipwreck Debris"] = "Schiffswracktrümmer",
		["Sparkling Pool"] = "Glitzernder Teich",
		["Spinefish School"] = "Ein Schwarm Stachelfische",
		["Sporefish School"] = "Sporenfischschwarm",
		["Steam Pump Flotsam"] = "Treibgut der Dampfpumpe",
		["Stonescale Eel Swarm"] = "Steinschuppenaalschwarm",
		["Strange Pool"] = "Strange Pool",
		["Tiger Gourami School"] = "Ein Schwarm Tigerguramis",
		["Waterlogged Wreckage"] = "Treibholzwrackteile",
	}
elseif GAME_LOCALE == "esES" then
	lib:SetCurrentTranslations {
		["Abyssal Gulper School"] = "Banco de Anguila devoradora abisal",
		["Albino Cavefish School"] = "Banco de cavernosos albinos",
		["Blackbelly Mudfish School"] = "Banco de pezfangos panzanegra",
		["Blackwater Whiptail School"] = "Banco de Bagre de Aguasnegras",
		["Blind Lake Sturgeon School"] = "Banco de Esturión ciego de lago",
		["Bloodsail Wreckage"] = "Restos de los Velasangre",
		["Bluefish School"] = "Banco de pezazules",
		["Borean Man O' War School"] = "Banco de carabelas boreales",
		["Brackish Mixed School"] = "Banco mixto salobre",
		["Deep Sea Monsterbelly School"] = "Banco de tripayuyus de las profundidades",
		["Deepsea Sagefish School"] = "Banco de peces sabiola marfunda",
		["Dragonfin Angelfish School"] = "Banco de peces ángel aletadragón",
		["Emperor Salmon School"] = "Banco de salmones emperador",
		["Fangtooth Herring School"] = "Banco de arenques colmillo",
		["Fat Sleeper School"] = "Banco de Coto gordo",
		["Fathom Eel Swarm"] = "Banco de anguilas de las profundidades",
		--["Felmouth Frenzy School"] = ???,
		["Fire Ammonite School"] = "Banco de Amonites de fuego",
		["Firefin Snapper School"] = "Banco de pargos de fuego",
		["Floating Debris"] = "Restos flotando",
		["Floating Wreckage"] = "Restos de un naufragio",
		["Giant Mantis Shrimp Swarm"] = "Enjambre de gambas mantis gigantes",
		["Glacial Salmon School"] = "Banco de salmones glaciales",
		["Glassfin Minnow School"] = "Banco de pezqueñines aletacristal",
		["Greater Sagefish School"] = "Banco de sabiolas superior",
		["Highland Guppy School"] = "Banco de lebistes de las Tierras Altas",
		["Highland Mixed School"] = "Banco mixto de las Tierras Altas",
		["Imperial Manta Ray School"] = "Banco de mantas raya imperiales",
		["Jade Lungfish School"] = "Banco de peces alveolares de jade",
		["Jawless Skulker School"] = "Banco de Vagador mermaquija",
		["Jewel Danio School"] = "Banco de danios enjoyados",
		["Krasarang Paddlefish School"] = "Banco de poliodóntidos de Krasarang",
		["Lagoon Pool"] = "Poza de laguna",
		["Moonglow Cuttlefish School"] = "Banco de sepias resplandor lunar",
		["Mountain Trout School"] = "Banco de truchas de montaña",
		["Mudfish School"] = "Banco de peces barro",
		["Musselback Sculpin School"] = "Banco de peces escorpión mejillón",
		["Nettlefish School"] = "Banco de medusas",
		["Oily Abyssal Gulper School"] = "Banco aceitoso de Anguila devoradora abisal",
		["Oily Blackmouth School"] = "Banco de bocanegras grasos",
		["Oily Sea Scorpion School"] = "Banco aceitoso de Escorpina",
		["Pool of Fire"] = "Piscina de fuego",
		["Pure Water"] = "Agua pura",
		["Redbelly Mandarin School"] = "Banco de mandarines panzarroja",
		["Reef Octopus Swarm"] = "Banco de pulpos de arrecife",
		["Sagefish School"] = "Banco de sabiolas",
		["Savage Piranha Pool"] = "Banco de Pirañas salvajes",
		["School of Darter"] = "Banco de dardos",
		["School of Deviate Fish"] = "Banco de peces descarriados",
		["Schooner Wreckage"] = "Restos de goleta",
		["Sea Scorpion School"] = "Banco de Escorpina",
		["Shipwreck Debris"] = "Desechos de Naufragio",
		["Sparkling Pool"] = "Poza brillante",
		["Spinefish School"] = "Banco de peces espinosos",
		["Sporefish School"] = "Banco de pecesporas",
		["Steam Pump Flotsam"] = "Restos flotantes de bomba de vapor",
		["Stonescale Eel Swarm"] = "Banco de anguilas escama pétrea",
		["Strange Pool"] = "Banco extraño",
		["Tiger Gourami School"] = "Banco de guramis tigre",
		["Waterlogged Wreckage"] = "Restos con marcas de agua",
	}
--elseif GAME_LOCALE == "esMX" then
--	lib:SetCurrentTranslations {
--	}
elseif GAME_LOCALE == "frFR" then
	lib:SetCurrentTranslations {
		["Abyssal Gulper School"] = "Banc de grangousiers des abysses",
		["Albino Cavefish School"] = "Banc de tétras cavernicoles albinos",
		["Blackbelly Mudfish School"] = "Banc d'éperlans ventre-noir",
		["Blackwater Whiptail School"] = "Banc de hokis des flots noirs",
		["Blind Lake Sturgeon School"] = "Banc d’esturgeons jaunes aveugles",
		["Bloodsail Wreckage"] = "Débris de la Voile sanglante",
		["Bluefish School"] = "Banc de tassergals",
		["Borean Man O' War School"] = "Banc de poissons-méduses boréens",
		["Brackish Mixed School"] = "Banc mixte en eaux saumâtres",
		["Deep Sea Monsterbelly School"] = "Banc de baudroies abyssales",
		["Deepsea Sagefish School"] = "Banc de sagerelles abyssales",
		["Dragonfin Angelfish School"] = "Banc de demoiselles aileron-de-dragon",
		["Emperor Salmon School"] = "Banc de saumons empereurs",
		["Fangtooth Herring School"] = "Banc de harengs crocs-pointus",
		["Fat Sleeper School"] = "Banc de dormeurs tachetés",
		["Fathom Eel Swarm"] = "Banc d'anguilles des profondeurs",
		--["Felmouth Frenzy School"] = ???,
		["Fire Ammonite School"] = "Banc d’ammonites de feu",
		["Firefin Snapper School"] = "Banc de lutjans de nagefeu",
		["Floating Debris"] = "Débris flottant",
		["Floating Wreckage"] = "Débris flottants",
		["Giant Mantis Shrimp Swarm"] = "Banc de crevettes-mantes géantes",
		["Glacial Salmon School"] = "Banc de saumons glaciaires",
		["Glassfin Minnow School"] = "Banc de vairons nageverres",
		["Greater Sagefish School"] = "Banc de grandes sagerelles",
		["Highland Guppy School"] = "Banc de guppys des Hautes terres",
		["Highland Mixed School"] = "Banc mixte des Hautes-terres",
		["Imperial Manta Ray School"] = "Banc de raies manta impériales",
		["Jade Lungfish School"] = "Banc de dipneustes de jade",
		["Jawless Skulker School"] = "Banc de furtifs agnathes",
		["Jewel Danio School"] = "Banc de danios joyaux",
		["Krasarang Paddlefish School"] = "Banc de poissons-spatules de Krasarang",
		["Lagoon Pool"] = "Bassin du lagon",
		["Moonglow Cuttlefish School"] = "Banc de seiches lueur-de-lune",
		["Mountain Trout School"] = "Banc de truites de montagne",
		["Mudfish School"] = "Banc d'éperlans",
		["Musselback Sculpin School"] = "Banc de rascasses dos-de-moule",
		["Nettlefish School"] = "Banc de méduses",
		["Oily Abyssal Gulper School"] = "Banc de grangousiers des abysses huileux",
		["Oily Blackmouth School"] = "Banc de bouches-noires huileux",
		["Oily Sea Scorpion School"] = "Banc de scorpions de mer huileux",
		["Pool of Fire"] = "Flaque de feu",
		["Pure Water"] = "Eau pure",
		["Redbelly Mandarin School"] = "Banc de mandarins ventre-rouge",
		["Reef Octopus Swarm"] = "Banc de poulpes des récifs",
		["Sagefish School"] = "Banc de sagerelles",
		["Savage Piranha Pool"] = "Bassin de piranhas sauvages",
		["School of Darter"] = "Banc de dards",
		["School of Deviate Fish"] = "Banc de poissons déviants",
		["Schooner Wreckage"] = "Débris de goélette",
		["Sea Scorpion School"] = "Banc de scorpions de mer",
		["Shipwreck Debris"] = "Débris d'épave",
		["Sparkling Pool"] = "Bassin étincelant",
		["Spinefish School"] = "Banc de poissons-hérissons",
		["Sporefish School"] = "Banc de poissons-spores",
		["Steam Pump Flotsam"] = "Détritus de la pompe à vapeur",
		["Stonescale Eel Swarm"] = "Banc d'anguilles pierre-écaille",
		["Strange Pool"] = "Bassin étrange",
		["Tiger Gourami School"] = "Banc de gouramis tigres",
		["Waterlogged Wreckage"] = "Débris trempés",
	}
elseif GAME_LOCALE == "itIT" then
	lib:SetCurrentTranslations {
		--["Abyssal Gulper School"] = ???
		--["Albino Cavefish School"] = ???
		--["Blackbelly Mudfish School"] = ???
		--["Blackwater Whiptail School"] = ???
		--["Blind Lake Sturgeon School"] = ???
		--["Bloodsail Wreckage"] = ???
		--["Bluefish School"] = ???
		["Borean Man O' War School"] = "Banco di Meduse Boreali",
		--["Brackish Mixed School"] = ???
		--["Deep Sea Monsterbelly School"] = ???
		--["Deepsea Sagefish School"] = ???
		["Dragonfin Angelfish School"] = "Banco di Pesci Angelo Pinnadrago",
		--["Emperor Salmon School"] = ???
		["Fangtooth Herring School"] = "Banco di Aringhe Zannute",
		--["Fat Sleeper School"] = ???
		--["Fathom Eel Swarm"] = ???
		--["Felmouth Frenzy School"] = ???,
		--["Fire Ammonite School"] = ???
		--["Firefin Snapper School"] = ???
		--["Floating Debris"] = ???
		["Floating Wreckage"] = "Rottami Galleggianti",
		--["Giant Mantis Shrimp Swarm"] = ???
		--["Glacial Salmon School"] = ???
		["Glassfin Minnow School"] = "Banco di Pesci di Vetro",
		["Greater Sagefish School"] = "Banco di Gran Pescisalvia",
		--["Highland Guppy School"] = ???
		--["Highland Mixed School"] = ???
		["Imperial Manta Ray School"] = "Banco di Mante Imperiali",
		--["Jade Lungfish School"] = ???
		--["Jawless Skulker School"] = ???
		--["Jewel Danio School"] = ???
		--["Krasarang Paddlefish School"] = ???
		--["Lagoon Pool"] = ???
		--["Moonglow Cuttlefish School"] = ???
		--["Mountain Trout School"] = ???
		--["Mudfish School"] = ???
		["Musselback Sculpin School"] = "Banco di Dragonetti",
		["Nettlefish School"] = "Banco di Ragnoli",
		--["Oily Abyssal Gulper School"] = ???
		["Oily Blackmouth School"] = "Banco di Boccanera Oleosi",
		--["Oily Sea Scorpion School"] = ???
		--["Pool of Fire"] = ???
		--["Pure Water"] = ???
		["Redbelly Mandarin School"] = "Banco di Panciarossa Mandarini",
		["Reef Octopus Swarm"] = "Banco di Polpi di Scogliera",
		["Sagefish School"] = "Banco di Pescisalvia",
		--["Savage Piranha Pool"] = ???
		--["School of Darter"] = ???
		--["School of Deviate Fish"] = ???
		--["Schooner Wreckage"] = ???
		--["Sea Scorpion School"] = ???
		--["Shipwreck Debris"] = ???
		--["Sparkling Pool"] = ???
		--["Spinefish School"] = ???
		--["Sporefish School"] = ???
		--["Steam Pump Flotsam"] = ???
		["Stonescale Eel Swarm"] = "Banco di Anguille Squamapietra",
		--["Strange Pool"] = ???
		--["Tiger Gourami School"] = ???
		--["Waterlogged Wreckage"] = ???
	}
elseif GAME_LOCALE == "koKR" then
	lib:SetCurrentTranslations {
		["Abyssal Gulper School"] = "심연 풍선장어 떼",
		["Albino Cavefish School"] = "백색 동굴어 떼",
		["Blackbelly Mudfish School"] = "검은배 미꾸라지 떼",
		["Blackwater Whiptail School"] = "검은바다 채찍꼬리 떼",
		["Blind Lake Sturgeon School"] = "눈먼 철갑상어 떼",
		["Bloodsail Wreckage"] = "붉은해적단 잔해",
		["Bluefish School"] = "게르치 떼",
		["Borean Man O' War School"] = "북풍 해파리 떼",
		["Brackish Mixed School"] = "검은색 물고기 떼",
		["Deep Sea Monsterbelly School"] = "깊은 바다 뚱뚱보물고기 떼",
		["Deepsea Sagefish School"] = "심해 총명어 떼",
		["Dragonfin Angelfish School"] = "용지느러미 천사돔 떼",
		["Emperor Salmon School"] = "황제연어 떼",
		["Fangtooth Herring School"] = "송곳니 청어 떼",
		["Fat Sleeper School"] = "통통 망둑어 떼",
		["Fathom Eel Swarm"] = "심연 뱀장어 떼",
		--["Felmouth Frenzy School"] = ???,
		["Fire Ammonite School"] = "화염 암모나이트 떼",
		["Firefin Snapper School"] = "불지느러미퉁돔 떼",
		["Floating Debris"] = "표류하는 파편",
		["Floating Wreckage"] = "표류하는 잔해",
		["Giant Mantis Shrimp Swarm"] = "거대 사마귀 새우 떼",
		["Glacial Salmon School"] = "빙하연어 떼",
		["Glassfin Minnow School"] = "유리지느러미 송사리 떼",
		["Greater Sagefish School"] = "대형 총명어 떼",
		["Highland Guppy School"] = "고원 송사리 떼",
		["Highland Mixed School"] = "고원의 물고기 떼",
		["Imperial Manta Ray School"] = "황제 쥐가오리 떼",
		["Jade Lungfish School"] = "비취 폐어 떼",
		["Jawless Skulker School"] = "무턱 모래무지 떼",
		["Jewel Danio School"] = "보석 열대어 떼",
		["Krasarang Paddlefish School"] = "크라사랑 주걱철갑상어 떼",
		--["Lagoon Pool"] = ???
		["Moonglow Cuttlefish School"] = "달빛 오징어 떼",
		["Mountain Trout School"] = "산악 송어 떼",
		["Mudfish School"] = "미꾸라지 떼",
		["Musselback Sculpin School"] = "조개등 둑중개 떼",
		["Nettlefish School"] = "해파리 떼",
		--["Oily Abyssal Gulper School"] = ???
		["Oily Blackmouth School"] = "기름기 많은 아귀 떼",
		--["Oily Sea Scorpion School"] = ???
		["Pool of Fire"] = "불타는 웅덩이",
		["Pure Water"] = "깨끗한 물",
		["Redbelly Mandarin School"] = "붉은배 쏘가리 떼",
		["Reef Octopus Swarm"] = "암초문어 떼",
		["Sagefish School"] = "총명어 떼",
		["Savage Piranha Pool"] = "야만적인 피라냐떼",
		["School of Darter"] = "황금 화살고기 떼",
		["School of Deviate Fish"] = "돌연변이 물고기 떼",
		["Schooner Wreckage"] = "범선 잔해",
		["Sea Scorpion School"] = "바다 전갈 떼",
		["Shipwreck Debris"] = "난파선 파편",
		--["Sparkling Pool"] = ???
		["Spinefish School"] = "가시고기 떼",
		["Sporefish School"] = "포자물고기 떼",
		["Steam Pump Flotsam"] = "증기 양수기 부품",
		["Stonescale Eel Swarm"] = "돌비늘뱀장어 떼",
		["Strange Pool"] = "Strange Pool",
		["Tiger Gourami School"] = "호랑이 구라미 떼",
		["Waterlogged Wreckage"] = "Waterlogged Wreckage",
	}
elseif GAME_LOCALE == "ptBR" then
	lib:SetCurrentTranslations {
		["Abyssal Gulper School"] = "Cardume de Boca-grandes Abissais",
		["Albino Cavefish School"] = "Cardume de Bagres-cegos Albinos",
		["Blackbelly Mudfish School"] = "Cardume de Muçuns-de-barriga-preta",
		["Blackwater Whiptail School"] = "Cardume de Azorragues Aguanegra",
		["Blind Lake Sturgeon School"] = "Cardume de Esturjões Cegos do Lago",
		["Bloodsail Wreckage"] = "Destroços dos Vela Sangrenta",
		["Bluefish School"] = "Cardume de Azulinhos",
		["Borean Man O' War School"] = "Cardume de Caravelas Boreanas",
		["Brackish Mixed School"] = "Cardume Misto Salobre",
		["Deep Sea Monsterbelly School"] = "Cardume de Pançudos do Mar Profundo",
		["Deepsea Sagefish School"] = "Cardume de Sabichões Abissais",
		["Dragonfin Angelfish School"] = "Cardume de Acarás-bandeira Pinadragos",
		["Emperor Salmon School"] = "Cardume de Salmões Imperiais",
		["Fangtooth Herring School"] = "Cardume de Arenques Presadentes",
		["Fat Sleeper School"] = "Cardume de Pestanas Gordos",
		["Fathom Eel Swarm"] = "Grande Cardume de Enguias de Profundeza",
		--["Felmouth Frenzy School"] = ???,
		["Fire Ammonite School"] = "Cardume de Amonitas de Fogo",
		["Firefin Snapper School"] = "Cardume de Pargos Pinafogos",
		["Floating Debris"] = "Destroços Flutuantes",
		["Floating Wreckage"] = "Destroços Flutuantes",
		["Giant Mantis Shrimp Swarm"] = "Enxame de Camarões-grilo Gigantes",
		["Glacial Salmon School"] = "Cardume de Salmões Glaciais",
		["Glassfin Minnow School"] = "Cardume de Manjubinhas Galhavítreas",
		["Greater Sagefish School"] = "Grande Cardume de Sabichões",
		["Highland Guppy School"] = "Cardume de Lebiste das Terras Altas",
		["Highland Mixed School"] = "Cardume Misto das Terras Altas",
		["Imperial Manta Ray School"] = "Cardume de Arraias-jamanta Imperiais",
		["Jade Lungfish School"] = "Cardume de Piramboias de Jade",
		["Jawless Skulker School"] = "Cardume de Sorrateiros Sem-queixo",
		["Jewel Danio School"] = "Cardume de Peixes-zebra",
		["Krasarang Paddlefish School"] = "Cardume de Peixes-espátula de Krasarang",
		["Lagoon Pool"] = "Cardume da Lagoa",
		["Moonglow Cuttlefish School"] = "Cardume de Lulas Brilho-da-lua",
		["Mountain Trout School"] = "Cardume de Truta da Montanha",
		["Mudfish School"] = "Cardume de Muçuns",
		["Musselback Sculpin School"] = "Cardume de Mangangás Berbidorsos",
		["Nettlefish School"] = "Cardume de Peixes-urtiga",
		["Oily Abyssal Gulper School"] = "Cardume de Boca-grandes Abissais Oleosos",
		["Oily Blackmouth School"] = "Cardume de Bocaneras Oleosos",
		["Oily Sea Scorpion School"] = "Cardume de Escorpiões do Mar Oleosos",
		["Pool of Fire"] = "Lago de Fogo",
		["Pure Water"] = "Água Pura",
		["Redbelly Mandarin School"] = "Cardume de Mandarins Vermelhos",
		["Reef Octopus Swarm"] = "Agrupamento de Polvos dos Recifes",
		["Sagefish School"] = "Cardume de Sabichões",
		["Savage Piranha Pool"] = "Cardume de Piranha Selvagem",
		["School of Darter"] = "Cardume de Platis",
		["School of Deviate Fish"] = "Cardume de Peixes Anormais",
		["Schooner Wreckage"] = "Schooner Antiga",
		["Sea Scorpion School"] = "Cardume de Escorpiões do Mar",
		["Shipwreck Debris"] = "Restos de Naufrágio",
		["Sparkling Pool"] = "Poça Brilhante",
		["Spinefish School"] = "Cardume de Peixes-espinho",
		["Sporefish School"] = "Cardume de Esporosos",
		["Steam Pump Flotsam"] = "Destroços da Bomba de Vapor",
		["Stonescale Eel Swarm"] = "Grande Cardume de Enguias Petrescamas",
		["Strange Pool"] = "Piscina Estranha",
		["Tiger Gourami School"] = "Cardume de Gouramis-tigre",
		["Waterlogged Wreckage"] = "Destroços Encharcados",
	}
elseif GAME_LOCALE == "ruRU" then
	lib:SetCurrentTranslations {
		["Abyssal Gulper School"] = "Косяк глубинного угря-мешкорота",
		["Albino Cavefish School"] = "Косяк слепоглазок-альбиносов",
		["Blackbelly Mudfish School"] = "Косяк илистого чернобрюха",
		["Blackwater Whiptail School"] = "Косяк хлыстохвоста Черноводья",
		["Blind Lake Sturgeon School"] = "Косяк слепого озерного осетра",
		["Bloodsail Wreckage"] = "Обломки кораблекрушения шайки Кровавого Паруса",
		["Bluefish School"] = "Косяк луфаря",
		["Borean Man O' War School"] = "Косяк борейского медузника",
		["Brackish Mixed School"] = "Косяк сквернохвоста",
		["Deep Sea Monsterbelly School"] = "Косяк глубоководного чертобрюха",
		["Deepsea Sagefish School"] = "Косяк глубоководного шалфокуня",
		["Dragonfin Angelfish School"] = "Косяк дракоперой рыбы-ангела",
		["Emperor Salmon School"] = "Косяк императорского лосося",
		["Fangtooth Herring School"] = "Косяк сельди-батиприона",
		["Fat Sleeper School"] = "Косяк толстопузика",
		["Fathom Eel Swarm"] = "Стайка сажневого угря",
		--["Felmouth Frenzy School"] = ???,
		["Fire Ammonite School"] = "Косяк огненного аммонита",
		["Firefin Snapper School"] = "Косяк огнеперого луциана",
		["Floating Debris"] = "Плавающий мусор",
		["Floating Wreckage"] = "Плавающие обломки",
		["Giant Mantis Shrimp Swarm"] = "Стая гигантских раков-богомолов",
		["Glacial Salmon School"] = "Косяк ледникового лосося",
		["Glassfin Minnow School"] = "Косяк ледоспинки",
		["Greater Sagefish School"] = "Косяк большого шалфокуня",
		["Highland Guppy School"] = "Косяк высокогорных гуппи",
		["Highland Mixed School"] = "Смешанный косяк нагорья",
		["Imperial Manta Ray School"] = "Косяк императорского морского дьявола",
		["Jade Lungfish School"] = "Косяк нефритовой двоякодышащей рыбы",
		["Jawless Skulker School"] = "Косяк безротого скрытиуса",
		["Jewel Danio School"] = "Косяк бриллиантового данио",
		["Krasarang Paddlefish School"] = "Косяк красарангского веслоноса",
		["Lagoon Pool"] = "Косяк рыбы",
		["Moonglow Cuttlefish School"] = "Стая каракатиц лунного сияния",
		["Mountain Trout School"] = "Косяк горной форели",
		["Mudfish School"] = "Косяк ильной рыбы",
		["Musselback Sculpin School"] = "Косяк бычка-щитоспинки",
		["Nettlefish School"] = "Стайка медуз",
		["Oily Abyssal Gulper School"] = "Косяк масляного глубинного угря-мешкорота",
		["Oily Blackmouth School"] = "Косяк масляного черноротика",
		["Oily Sea Scorpion School"] = "Косяк жирных морских скорпионов",
		["Pool of Fire"] = "Лужа огня",
		["Pure Water"] = "Чистая вода",
		["Redbelly Mandarin School"] = "Косяк краснобрюхой мандаринки",
		["Reef Octopus Swarm"] = "Стая рифовых осьминогов",
		["Sagefish School"] = "Косяк шалфокуня",
		["Savage Piranha Pool"] = "Пруд свирепых пираний",
		["School of Darter"] = "Косяк змеешейки",
		["School of Deviate Fish"] = "Косяк загадочной рыбы",
		["Schooner Wreckage"] = "Разбитая шхуна",
		["Sea Scorpion School"] = "Косяк морских скорпионов",
		["Shipwreck Debris"] = "Обломки кораблекрушения",
		["Sparkling Pool"] = "Сверкающая лужа",
		["Spinefish School"] = "Косяк иглоспинки",
		["Sporefish School"] = "Косяк спороуса",
		["Steam Pump Flotsam"] = "Обломки парового насоса",
		["Stonescale Eel Swarm"] = "Стайка каменного угря",
		["Strange Pool"] = "Странный водоем",
		["Tiger Gourami School"] = "Косяк тигрового гурами",
		["Waterlogged Wreckage"] = "Плавающие обломки",
	}
elseif GAME_LOCALE == "zhCN" then
	lib:SetCurrentTranslations {
		--["Abyssal Gulper School"] = ???
		["Albino Cavefish School"] = "白色洞穴鱼群",
		["Blackbelly Mudfish School"] = "黑腹泥鱼群",
		--["Blackwater Whiptail School"] = ???
		--["Blind Lake Sturgeon School"] = ???
		["Bloodsail Wreckage"] = "血帆船只残骸",
		["Bluefish School"] = "蓝鱼群",
		["Borean Man O' War School"] = "北风水母群",
		["Brackish Mixed School"] = "魔尾鱼群",
		["Deep Sea Monsterbelly School"] = "深海巨腹鱼群",
		--["Deepsea Sagefish School"] = ???
		["Dragonfin Angelfish School"] = "龙鳞天使鱼群",
		["Emperor Salmon School"] = "帝王鲑鱼群",
		["Fangtooth Herring School"] = "利齿青鱼群",
		--["Fat Sleeper School"] = ???
		["Fathom Eel Swarm"] = "深水鳗鱼群",
		--["Felmouth Frenzy School"] = ???,
		--["Fire Ammonite School"] = ???
		["Firefin Snapper School"] = "火鳞鳝鱼群",
		["Floating Debris"] = "漂浮的碎片",
		["Floating Wreckage"] = "漂浮的残骸",
		["Giant Mantis Shrimp Swarm"] = "巨型螳螂虾群",
		["Glacial Salmon School"] = "冰河鲑鱼群",
		["Glassfin Minnow School"] = "亮鳞鲤鱼群",
		["Greater Sagefish School"] = "大型鼠尾鱼群",
		["Highland Guppy School"] = "高地古比鱼群",
		["Highland Mixed School"] = "高地杂鱼群",
		["Imperial Manta Ray School"] = "帝王鳐鱼群",
		["Jade Lungfish School"] = "翠绿肺鱼群",
		--["Jawless Skulker School"] = ???
		["Jewel Danio School"] = "珍宝斑马鱼群",
		["Krasarang Paddlefish School"] = "卡桑琅白鲟鱼群",
		--["Lagoon Pool"] = ???
		["Moonglow Cuttlefish School"] = "月光墨鱼群",
		["Mountain Trout School"] = "高山鲑鱼群",
		["Mudfish School"] = "泥鱼群",
		["Musselback Sculpin School"] = "蚌背鱼群",
		["Nettlefish School"] = "水母鱼群",
		--["Oily Abyssal Gulper School"] = ???
		["Oily Blackmouth School"] = "黑口鱼群",
		--["Oily Sea Scorpion School"] = ???
		["Pool of Fire"] = "火池",
		["Pure Water"] = "纯水",
		["Redbelly Mandarin School"] = "红腹鳜鱼",
		["Reef Octopus Swarm"] = "八爪鱼群",
		["Sagefish School"] = "鼠尾鱼群",
		--["Savage Piranha Pool"] = ???
		["School of Darter"] = "金镖鱼群",
		["School of Deviate Fish"] = "变异鱼群",
		["Schooner Wreckage"] = "帆船残骸",
		--["Sea Scorpion School"] = ???
		["Shipwreck Debris"] = "船只残骸",
		--["Sparkling Pool"] = ???
		["Spinefish School"] = "刺皮鱼",
		["Sporefish School"] = "孢子鱼群",
		["Steam Pump Flotsam"] = "蒸汽泵废料",
		["Stonescale Eel Swarm"] = "石鳞鳗群",
		["Strange Pool"] = "奇怪的水池",
		["Tiger Gourami School"] = "虎皮丝足鱼群",
		["Waterlogged Wreckage"] = "浸水的残骸",
	}
elseif GAME_LOCALE == "zhTW" then
	lib:SetCurrentTranslations {
		["Abyssal Gulper School"] = "深淵大嘴鰻群",
		["Albino Cavefish School"] = "白化穴魚群",
		["Blackbelly Mudfish School"] = "黑肚泥鰍群",
		["Blackwater Whiptail School"] = "黑水鞭尾魚群",
		["Blind Lake Sturgeon School"] = "盲湖鱘魚群",
		["Bloodsail Wreckage"] = "血帆殘骸",
		["Bluefish School"] = "藍魚群",
		["Borean Man O' War School"] = "北風水母群",
		["Brackish Mixed School"] = "魔尾魚群",
		["Deep Sea Monsterbelly School"] = "深海大肚魚群",
		["Deepsea Sagefish School"] = "深海鼠尾魚群",
		["Dragonfin Angelfish School"] = "龍鱗天使魚群",
		["Emperor Salmon School"] = "帝王鮭魚群",
		["Fangtooth Herring School"] = "尖齒鯡魚群",
		["Fat Sleeper School"] = "胖睡魚魚群",
		["Fathom Eel Swarm"] = "澗鰻群",
		--["Felmouth Frenzy School"] = ???,
		["Fire Ammonite School"] = "火焰菊石群",
		["Firefin Snapper School"] = "火鰭鯛魚群",
		["Floating Debris"] = "漂浮的碎片",
		["Floating Wreckage"] = "漂浮殘骸",
		["Giant Mantis Shrimp Swarm"] = "巨型螳螂蝦群",
		["Glacial Salmon School"] = "冰川鮭魚群",
		["Glassfin Minnow School"] = "玻鰭小鯉魚群",
		["Greater Sagefish School"] = "大型鼠尾魚群",
		["Highland Guppy School"] = "高地孔雀魚群",
		["Highland Mixed School"] = "高地綜合魚群",
		["Imperial Manta Ray School"] = "帝王韌皮魟魚群",
		["Jade Lungfish School"] = "翠玉龍魚群",
		["Jawless Skulker School"] = "無頷潛藏者魚群",
		["Jewel Danio School"] = "珠寶斑馬魚群",
		["Krasarang Paddlefish School"] = "喀撒朗匙吻鱘魚群",
		--["Lagoon Pool"] = ???
		["Moonglow Cuttlefish School"] = "月色墨魚群",
		["Mountain Trout School"] = "山脈鱒魚群",
		["Mudfish School"] = "泥鰍群",
		["Musselback Sculpin School"] = "蚌脊魚群",
		["Nettlefish School"] = "蕁麻魚群",
		--["Oily Abyssal Gulper School"] = ???
		["Oily Blackmouth School"] = "黑口魚群",
		["Oily Sea Scorpion School"] = "肥美的海蠍群",
		["Pool of Fire"] = "火池",
		["Pure Water"] = "純水",
		["Redbelly Mandarin School"] = "紅肚桂花魚群",
		["Reef Octopus Swarm"] = "暗礁章魚群",
		["Sagefish School"] = "鼠尾魚群",
		--["Savage Piranha Pool"] = ???
		["School of Darter"] = "淡水魚群",
		["School of Deviate Fish"] = "變異魚群",
		["Schooner Wreckage"] = "漂浮的殘骸",
		["Sea Scorpion School"] = "海蠍群",
		["Shipwreck Debris"] = "沉船殘骸",
		--["Sparkling Pool"] = ???
		["Spinefish School"] = "棘魚群",
		["Sporefish School"] = "孢子魚群",
		["Steam Pump Flotsam"] = "蒸汽幫浦漂浮殘骸",
		["Stonescale Eel Swarm"] = "石鱗鰻魚群",
		["Strange Pool"] = "奇怪的水池",
		["Tiger Gourami School"] = "虎斑絲足魚群",
		["Waterlogged Wreckage"] = "浸水的殘骸",
	}
else
	error(("%s: Locale %q not supported"):format(MAJOR_VERSION, GAME_LOCALE))
end
